do

-- Add main menu radio
local MenuCoalitionBlueZ1AA = MENU_COALITION:New( coalition.side.BLUE, "Spawn ZONE 1 : 1 target GUN" )
local MenuCoalitionBlueZ1AA2 = MENU_COALITION:New( coalition.side.BLUE, "Spawn ZONE 1 : 2 target GUN" )
local MenuCoalitionBlueZ2AA = MENU_COALITION:New( coalition.side.BLUE, "Spawn ZONE 2 : 1 target Fox 2" )
--local MenuCoalitionBlueZ4AA = MENU_COALITION:New( coalition.side.BLUE, "Spawn ZONE 4 WW2 : 1 target" )

local MenuCoalitionBlueRemoveAA = MENU_COALITION:New( coalition.side.BLUE, "Remove air targets" )

-- #SPAWN class
local SpawnGroupF14_1
local SpawnGroupF16_1
local SpawnGroupF18_1
local SpawnGroupM2000_1
local SpawnGroupJF17_1
local SpawnGroupSU27_1
local SpawnGroupF1EE_1
local SpawnGroupF15E_1

local SpawnGroupF14_2
local SpawnGroupF16_2
local SpawnGroupF18_2	
local SpawnGroupM2000_2
local SpawnGroupJF17_2
local SpawnGroupSU27_2
local SpawnGroupF1EE_2
local SpawnGroupF15E_2

local SpawnGroupFox2F14_1
local SpawnGroupFox2F16_1
local SpawnGroupFox2F18_1
local SpawnGroupFox2M2000_1
local SpawnGroupFox2JF17_1
local SpawnGroupFox2SU27_1
local SpawnGroupFox2F1EE_1
local SpawnGroupFox2F15E_1

--local SpawnGroupB17_1

local function SpawnF14_1()
	SpawnClassF14_1 = SPAWN
		:NewWithAlias( "zone_1_Red_F14_GUN_IA1", "F-14B_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x F-14B spawned.", 10, ""):ToAll()
			SpawnGroupF14_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnF16_1()
	SpawnClassF16_1 = SPAWN
		:NewWithAlias( "zone_1_Red_F16_GUN_IA1", "F-16C_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x F-16C spawned.", 10, ""):ToAll()
			SpawnGroupF16_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnF18_1()
	SpawnClassF18_1 = SPAWN
		:NewWithAlias( "zone_1_Red_F18_GUN_IA1", "F-18C_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x F-18C spawned.", 10, ""):ToAll()
			SpawnGroupF18_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnM2000_1()
	SpawnClassM2000_1 = SPAWN
		:NewWithAlias( "zone_1_Red_M2000_GUN_IA1", "Mig-29S_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x Mirage 2000C spawned.", 10, ""):ToAll()
			SpawnGroupM2000_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnSU27_1()
	SpawnClassSU27_1 = SPAWN
		:NewWithAlias( "zone_1_Red_Su27_GUN_IA1", "Su27_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x Su27 spawned.", 10, ""):ToAll()
			SpawnGroupSU27_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnF1EE_1()
	SpawnClassF1EE_1 = SPAWN
		:NewWithAlias( "zone_1_Red_F1EE_GUN_IA1", "F1EE_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x mirage F1EE spawned.", 10, ""):ToAll()
			SpawnGroupF1EE_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnJF17_1()
	SpawnClassJF17_1 = SPAWN
		:NewWithAlias( "zone_1_Red_JF17_GUN_IA1", "JF17_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x JF17 spawned.", 10, ""):ToAll()
			SpawnGroupJF17_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnF15E_1()
	SpawnClassF15E_1 = SPAWN
		:NewWithAlias( "zone_1_Red_F15E_GUN_IA1", "F15E_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x F-15E spawned.", 10, ""):ToAll()
			SpawnGroupF1EE_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

-- *********************************************

local function SpawnF14_2()
	SpawnClassF14_2 = SPAWN
		:NewWithAlias( "zone_1_Red_F14_FOX2_IA2", "F-14B_2 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 2, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "2x F-14B spawned.", 10, ""):ToAll()
			SpawnGroupF14_2 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnF16_2()
	SpawnClassF16_2 = SPAWN
		:NewWithAlias( "zone_1_Red_F16_GUN_IA2", "F-16C_2 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 2, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "2x F-16C spawned.", 10, ""):ToAll()
			SpawnGroupF16_2 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end
local function SpawnF18_2()
	SpawnClassF18_2 = SPAWN
		:NewWithAlias( "zone_1_Red_F18_GUN_IA2", "F-18C_2 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 2, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "2x F-18C spawned.", 10, ""):ToAll()
			SpawnGroupF18_2 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnM2000_2()
	SpawnClassM2000_2 = SPAWN
		:NewWithAlias( "zone_1_Red_M2000_GUN_IA2", "Mig-29S_2 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 2, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "2x Mirage 2000C spawned.", 10, ""):ToAll()
			SpawnGroupM2000_2 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnSU27_2()
	SpawnClassSU27_2 = SPAWN
		:NewWithAlias( "zone_1_Red_Su27_GUN_IA2", "Su27_2 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 2, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "2x Su27 spawned.", 10, ""):ToAll()
			SpawnGroupSU27_2 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnJF17_2()
	SpawnClassJF17_2 = SPAWN
		:NewWithAlias( "zone_1_Red_JF17_GUN_IA2", "JF17_2 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "2x JF17 spawned.", 10, ""):ToAll()
			SpawnGroupJF17_2 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnF1EE_2()
	SpawnClassF1EE_2 = SPAWN
		:NewWithAlias( "zone_1_Red_F1EE_GUN_IA2", "F1EE_2 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "2x mirage F1EE spawned.", 10, ""):ToAll()
			SpawnGroupF1EE_2 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnF15E_2()
	SpawnClassF15E_2 = SPAWN
		:NewWithAlias( "zone_1_Red_F15E_GUN_IA2", "F15E_2 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "2x F-15E spawned.", 10, ""):ToAll()
			SpawnGroupF1EE_2 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

-- ************************************************************

local function SpawnFox2F14_1()
	SpawnClassFox2F14_1 = SPAWN
		:NewWithAlias( "zone_2_Red_F14_FOX2_IA1", "F-14B_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x F-14B Fox2 spawned.", 10, ""):ToAll()
			SpawnGroupFox2F14_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnFox2F16_1()
	SpawnClassFox2F16_1 = SPAWN
		:NewWithAlias( "zone_2_Red_F16_FOX2_IA1", "F-16C_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x F-16C Fox2 spawned.", 10, ""):ToAll()
			SpawnGroupFFox216_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnFox2F18_1()
	SpawnClassFox2F18_1 = SPAWN
		:NewWithAlias( "zone_2_Red_F18_FOX2_IA1", "F-18C_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x F-18C Fox2 spawned.", 10, ""):ToAll()
			SpawnGroupFox2F18_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnFox2M2000_1()
	SpawnClassFox2M2000_1 = SPAWN
		:NewWithAlias( "zone_2_Red_M2000_FOX2_IA1", "Mig-29S_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x Mirage 2000C Fox2 spawned.", 10, ""):ToAll()
			SpawnGroupFox2M2000_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnFox2SU27_1()
	SpawnClassFox2SU27_1 = SPAWN
		:NewWithAlias( "zone_2_Red_Su27_FOX2_IA1", "Su27_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x Su27 Fox2 spawned.", 10, ""):ToAll()
			SpawnGroupFox2SU27_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnFox2F1EE_1()
	SpawnClassF1EE_1 = SPAWN
		:NewWithAlias( "zone_2_Red_F1EE_FOX2_IA1", "F1EE_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x mirage F1EE Fox2 spawned.", 10, ""):ToAll()
			SpawnGroupF1EE_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnFox2JF17_1()
	SpawnClassFox2JF17_1 = SPAWN
		:NewWithAlias( "zone_2_Red_JF17_FOX2_IA1", "JF17_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x JF17 Fox2 spawned.", 10, ""):ToAll()
			SpawnGroupFox2JF17_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end

local function SpawnFox2F15E_1()
	SpawnClassFox2F15E_1 = SPAWN
		:NewWithAlias( "zone_2_Red_F15E_FOX2_IA1", "F15E_1 (target)" )
		:InitKeepUnitNames(true)
		:InitLimit( 1, 1 )
		:OnSpawnGroup(
			function( SpawnGroup )
			MESSAGE:New( "1x F-15E Fox2 spawned.", 10, ""):ToAll()
			SpawnGroupFox2F1EE_1 = SpawnGroup
			end 
			)
		:SpawnScheduled( 10, .5 )
end


-- ***********************************************************

--local function SpawnB17_1()
--	SpawnClassB17_1 = SPAWN
--		:NewWithAlias( "zone_4_Red_B17_IA1", "B17_1 (target)" )
--		:InitKeepUnitNames(true)
--		:InitLimit( 1, 1 )
--		:OnSpawnGroup(
--			function( SpawnGroup )
--			MESSAGE:New( "1x B-17 spawned.", 10, ""):ToAll()
--			SpawnGroupB17_1 = SpawnGroup
--			end 
--			)
--		:SpawnScheduled( 10, .5 )
--end

-- ***********************************************************
local function RemoveIAZone1()
	if SpawnGroupF14_1 ~= nil then 		-- IsAlive 
		SpawnGroupF14_1:Destroy()
		end
	if SpawnGroupF16_1 ~= nil then
		SpawnGroupF16_1:Destroy()
		end
	if SpawnGroupF18_1 ~= nil then 
		SpawnGroupF18_1:Destroy()
		end
	if SpawnGroupM2000_1 ~= nil then
		SpawnGroupM2000_1:Destroy()
		end
	if SpawnGroupJF17_1 ~= nil then
		SpawnGroupJF17_1:Destroy()
		end
	if SpawnGroupSU27_1 ~= nil then
		SpawnGroupSU27_1:Destroy()
		end
	if SpawnGroupF1EE_1 ~= nil then
		SpawnGroupF1EE_1:Destroy()
		end
	if SpawnGroupF15E_1 ~= nil then
		SpawnGroupF15E_1:Destroy()
		end		
		
	if SpawnGroupF14_2 ~= nil then 		-- IsAlive 
		SpawnGroupF14_2:Destroy()
		end
	if SpawnGroupF16_2 ~= nil then
		SpawnGroupF16_2:Destroy()
		end
	if SpawnGroupF18_2 ~= nil then 
		SpawnGroupF18_2:Destroy()
		end
	if SpawnGroupM2000_2 ~= nil then
		SpawnGroupM2000_2:Destroy()
		end
	if SpawnGroupJF17_2 ~= nil then
		SpawnGroupJF17_2:Destroy()
		end
	if SpawnGroupSU27_2 ~= nil then
		SpawnGroupSU27_2:Destroy()
		end
	if SpawnGroupF1EE_2 ~= nil then
		SpawnGroupF1EE_2:Destroy()
		end
	if SpawnGroupF15E_2 ~= nil then
		SpawnGroupF15E_2:Destroy()
		end	
	MESSAGE:New( "All AI aircrafts zone 1 has been remove", 10, ""):ToAll()
end

local function RemoveIAZone2()
	if SpawnGroupFox2F14_1 ~= nil then 		-- IsAlive 
		SpawnGroupFox2F14_1:Destroy()
		end
	if SpawnGroupFox2F16_1 ~= nil then
		SpawnGroupFox2F16_1:Destroy()
		end
	if SpawnGroupFox2F18_1 ~= nil then 
		SpawnGroupFox2F18_1:Destroy()
		end
	if SpawnGroupFox2M2000_1 ~= nil then
		SpawnGroupFox2M2000_1:Destroy()
		end
	if SpawnGroupFox2JF17_1 ~= nil then
		SpawnGroupFox2JF17_1:Destroy()
		end
	if SpawnGroupFox2SU27_1 ~= nil then
		SpawnGroupFox2SU27_1:Destroy()
		end
	if SpawnGroupFox2F1EE_1 ~= nil then
		SpawnGroupFox2F1EE_1:Destroy()
		end
	if SpawnGroupFox2F15E_1 ~= nil then
		SpawnGroupFox2F15E_1:Destroy()
		end	
	--if SpawnGroupB17_1 ~= nil then 		-- IsAlive 
	--	SpawnGroupB17_1:Destroy()
	--	end
		
	MESSAGE:New( "All AI aircrafts zone 2 has been remove", 10, ""):ToAll()
end


-- Add second menu radio
local MenuSpawnF14_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x F-14B", MenuCoalitionBlueZ1AA, SpawnF14_1 )
local MenuSpawnF16_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x F-16C", MenuCoalitionBlueZ1AA, SpawnF16_1 )
local MenuSpawnF18_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x F-18C", MenuCoalitionBlueZ1AA, SpawnF18_1 )
local MenuSpawnF1EE_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x Mirage F1EE", MenuCoalitionBlueZ1AA, SpawnF1EE_1 )
local MenuSpawnM2000_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x Mirage 2000C", MenuCoalitionBlueZ1AA, SpawnM2000_1 )
local MenuSpawnJF17_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x JF-17", MenuCoalitionBlueZ1AA, SpawnJF17_1 )
local MenuSpawnSU27_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x Su-27", MenuCoalitionBlueZ1AA, SpawnSU27_1 )
local MenuSpawnF15E_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x F-15E", MenuCoalitionBlueZ1AA, SpawnF15E_1 )

local MenuSpawnF14_2 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 2x F-14B", MenuCoalitionBlueZ1AA2, SpawnF14_2 )
local MenuSpawnF16_2 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 2x F-16C", MenuCoalitionBlueZ1AA2, SpawnF16_2 )
local MenuSpawnF18_2 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 2x F-18C", MenuCoalitionBlueZ1AA2, SpawnF18_2 )
local MenuSpawnF1EE_2 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 2x Mirage F1EE", MenuCoalitionBlueZ1AA2, SpawnF1EE_2 )
local MenuSpawnM2000_2 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 2x Mirage 2000C", MenuCoalitionBlueZ1AA2, SpawnM2000_2 )
local MenuSpawnJF17_2 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 2x JF-17", MenuCoalitionBlueZ1AA2, SpawnJF17_2 )
local MenuSpawnSU27_2 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 2x Su-27", MenuCoalitionBlueZ1AA2, SpawnSU27_2 )
local MenuSpawnF15E_2 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 2x F-15E", MenuCoalitionBlueZ1AA2, SpawnF15E_2 )

local MenuSpawnFox2F14_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x F-14B", MenuCoalitionBlueZ2AA, SpawnFox2F14_1 )
local MenuSpawnFox2F16_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x F-16C", MenuCoalitionBlueZ2AA, SpawnFox2F16_1 )
local MenuSpawnFox2F18_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x F-18C", MenuCoalitionBlueZ2AA, SpawnFox2F18_1 )
local MenuSpawnFox2F1EE_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x Mirage F1EE", MenuCoalitionBlueZ2AA, SpawnFox2F1EE_1 )
local MenuSpawnFox2M2000_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x Mirage 2000C", MenuCoalitionBlueZ2AA, SpawnFox2M2000_1 )
local MenuSpawnFox2JF17_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x JF-17", MenuCoalitionBlueZ2AA, SpawnFox2JF17_1 )
local MenuSpawnFox2SU27_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x Su-27", MenuCoalitionBlueZ2AA, SpawnFox2SU27_1 )
local MenuSpawnFox2F15E_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x F-15E", MenuCoalitionBlueZ2AA, SpawnFox2F15E_1 )

--local MenuSpawnB17_1 = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Spawn 1x B-17", MenuCoalitionBlueZ4AA, SpawnB17_1 )

local MenuRemove= MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Remove all IA Zone 1", MenuCoalitionBlueRemoveAA, RemoveIAZone1 )
local MenuRemove= MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Remove all IA Zone 2", MenuCoalitionBlueRemoveAA, RemoveIAZone2 )

end	-- do